## plasma-sdk 5.27.11.1

=== cuttlefish/src/CMakeLists.txt ===

set(cuttlefish_SRCS
    main.cpp
    iconmodel.cpp
    colorschemes.cpp
    sortfiltermodel.cpp
    qml.qrc
)

add_executable(cuttlefish ${cuttlefish_SRCS})
target_compile_definitions(cuttlefish PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(cuttlefish
    Qt::Quick
    Qt::Gui
    Qt::Widgets # for QDirModel
    KF5::Plasma
    KF5::KIOWidgets
    KF5::ConfigWidgets
    KF5::I18n
    KF5::IconThemes
    Qt::DBus
)

install(TARGETS cuttlefish ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(editorplugin)

=== po/sv/docs/plasma-sdk_engineexplorer/CMakeLists.txt ===
kdoctools_create_manpage(man-plasmaengineexplorer.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR}/${CURRENT_LANG}/ )

=== debian/changelog ===
plasma-sdk (4:5.27.11.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:53 +1100

plasma-sdk (4:5.27.11.1-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)
  * Hotfix point release.(5.27.11.1) 

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:32 +0000

plasma-sdk (4:5.27.10-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:28:04 +0000

plasma-sdk (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:57 +0000

plasma-sdk (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:20:12 +0100

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               kirigami2-dev (>= 5.102.0~),
               libkf5archive-dev (>= 5.102.0~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5texteditor-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Rules-Requires-Root: no

Package: plasma-sdk
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3)
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 6.1.5

=== debian/changelog ===
plasma-sdk (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:01:19 +0100

plasma-sdk (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:43:42 +0100

plasma-sdk (4:6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (6.1.3)
  * Apply epoch 4: found in Ubuntu :(
  * Make runtime times non fatal for now.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Jul 2024 14:32:59 +0100

plasma-sdk (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:21 +0200

plasma-sdk (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Jun 2024 18:59:30 +0200

plasma-sdk (5.27.11.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.
  * New upstream release (5.27.11.1).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 14:55:04 +0200

plasma-sdk (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:17:41 +0100

plasma-sdk (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:50:34 +0200

plasma-sdk (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:11 +0200

plasma-sdk (5.27.7.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7.1).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:53:29 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6archive-dev (>= 6.2.0~),
               libkf6completion-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6configwidgets-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.2.0~),
               libkf6texteditor-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libplasma-dev (>= 6.1.5~),
               libplasma5support-dev (>= 6.1.5~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Rules-Requires-Root: no

Package: plasma-sdk
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-newstuff,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3),
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 6.2.5

=== debian/changelog ===
plasma-sdk (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:23:51 +0100

plasma-sdk (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:38:41 +0100

plasma-sdk (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Ignore testsuite failure on some 32-bit arches (armel, armhf) since
    Qt 6.7.
  * Add build dependency to qt6-declarative-private-dev required since
    cmake 3.31.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:36 +0100

plasma-sdk (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:21 +0200

plasma-sdk (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:50 +0200

plasma-sdk (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:19 +0200

plasma-sdk (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:27 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6archive-dev (>= 6.5.0~),
               libkf6completion-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6doctools-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6iconthemes-dev (>= 6.5.0~),
               libkf6itemmodels-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6svg-dev (>= 6.5.0~),
               libkf6texteditor-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libplasma-dev (>= 6.2.5~),
               libplasma5support-dev (>= 6.2.5~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-sdk
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git
Rules-Requires-Root: no

Package: plasma-sdk
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-newstuff,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3),
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 6.2.90

=== debian/changelog ===
plasma-sdk (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:53:08 +0000

plasma-sdk (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:04:09 +0000

plasma-sdk (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:15:51 +0000

plasma-sdk (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:59:17 +0000

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6archive-dev (>= 6.10.0~),
               libkf6completion-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6svg-dev (>= 6.10.0~),
               libkf6texteditor-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libplasma-dev (>= 6.2.90~),
               libplasma5support-dev (>= 6.2.90~),
               qt6-5compat-dev (>= 6.7.0~),
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-sdk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
Rules-Requires-Root: no

Package: plasma-sdk
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-newstuff,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3),
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.

## plasma-sdk 6.3.0

=== debian/changelog ===
plasma-sdk (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:43 +0100

plasma-sdk (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:19 +0100

plasma-sdk (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: plasma-sdk
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: breeze-icon-theme <!nocheck>,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               breeze-icon-theme <!nocheck>,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6archive-dev (>= 6.10.0~),
                libkf6completion-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
+               libkf6configwidgets-dev (>= 6.5.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6dbusaddons-dev (>= 6.10.0~),
                libkf6doctools-dev (>= 6.10.0~),
@@ -28,18 +27,19 @@
                libkf6texteditor-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.2.90~),
-               libplasma5support-dev (>= 6.2.90~),
-               qt6-5compat-dev (>= 6.7.0~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               libplasma-dev (>= 6.3.0~),
+               libplasma5support-dev (>= 4:6.3.0~),
+               qt6-5compat-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
+               qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-sdk
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git
 Rules-Requires-Root: no
 
 Package: plasma-sdk

## plasma-sdk 6.3.2

=== debian/changelog ===
plasma-sdk (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
                libkf6texteditor-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.0~),
-               libplasma5support-dev (>= 4:6.3.0~),
+               libplasma-dev (>= 6.3.2~),
+               libplasma5support-dev (>= 4:6.3.2~),
                qt6-5compat-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## plasma-sdk 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-sdk)
set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "plasmate requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasmate [options]' there.")
endif()

################# set KDE specific information #################

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMOptionalAddSubdirectory)
include(ECMQmlModule)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui Qml Quick Svg Widgets Xml)

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt6Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL
)
add_feature_info("Qt6Test" Qt6Test_FOUND "Required for building tests")
if (NOT Qt6Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(Qt6Core5Compat)


find_package(KF6Kirigami ${KF6_MIN_VERSION})
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by lookandfeelexplorer"
    TYPE RUNTIME
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Archive Completion Config CoreAddons DBusAddons I18n IconThemes ItemModels
    KIO TextEditor WidgetsAddons DocTools Svg)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)

#########################################################################
add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
#     -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

ecm_set_disabled_deprecation_versions(
    KF 5.94.0
)

add_subdirectory(iconexplorer)
add_subdirectory(engineexplorer)
add_subdirectory(kqml)
add_subdirectory(plasmoidviewer)
add_subdirectory(themeexplorer)
add_subdirectory(lookandfeelexplorer)

add_subdirectory(doc)
kdoctools_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== themeexplorer/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"org.kde.plasma.themeexplorer\")

add_subdirectory(src)

kpackage_install_package(package org.kde.plasma.themeexplorer genericqml)

=== doc/plasmoidviewer/CMakeLists.txt ===
kdoctools_create_manpage (man-plasmoidviewer.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
plasma-sdk (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:58:18 +0100

plasma-sdk (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:24:12 +0000

plasma-sdk (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:18:10 +0000

plasma-sdk (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:25:26 +0000

plasma-sdk (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:57:24 +0000

plasma-sdk (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:44:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: plasma-sdk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: breeze-icon-theme <!nocheck>,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               breeze-icon-theme <!nocheck>,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6archive-dev (>= 6.10.0~),
                libkf6completion-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.5.0~),
+               libkf6configwidgets-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6dbusaddons-dev (>= 6.10.0~),
                libkf6doctools-dev (>= 6.10.0~),
@@ -27,19 +28,18 @@
                libkf6texteditor-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.2~),
-               libplasma5support-dev (>= 4:6.3.2~),
-               qt6-5compat-dev (>= 6.6.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-declarative-private-dev,
+               libplasma-dev (>= 6.3.4~),
+               libplasma5support-dev (>= 4:6.3.4~),
+               qt6-5compat-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
                qt6-svg-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-sdk
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-sdk
 Rules-Requires-Root: no
 
 Package: plasma-sdk

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	-xvfb-run -a dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# a todo file has nothing to do in /usr/share/ outside doc
	rm debian/plasma-sdk/usr/share/kpackage/genericqml/org.kde.plasma.themeexplorer/contents/data/todo

## plasma-sdk 6.3.5

=== debian/changelog ===
plasma-sdk (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:57 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                libkf6texteditor-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.4~),
-               libplasma5support-dev (>= 4:6.3.4~),
+               libplasma-dev (>= 6.3.5~),
+               libplasma5support-dev (>= 4:6.3.5~),
                qt6-5compat-dev (>= 6.7.0~),
                qt6-base-dev (>= 6.7.0+dfsg~),
                qt6-declarative-dev (>= 6.7.0+dfsg~),

## plasma-sdk 6.4.4

=== debian/changelog ===
plasma-sdk (4:6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:15 +0200

plasma-sdk (4:6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 20:59:18 +0200

plasma-sdk (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:31:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,29 +11,30 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6completion-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6doctools-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkf6itemmodels-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6svg-dev (>= 6.10.0~),
-               libkf6texteditor-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.5~),
-               libplasma5support-dev (>= 4:6.3.5~),
-               qt6-5compat-dev (>= 6.7.0~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
-               qt6-svg-dev (>= 6.7.0~),
+               libkf6archive-dev (>= 6.14.0~),
+               libkf6completion-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6configwidgets-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6crash-dev (>= 6.14.0~),
+               libkf6dbusaddons-dev (>= 6.14.0~),
+               libkf6doctools-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6iconthemes-dev (>= 6.14.0~),
+               libkf6itemmodels-dev (>= 6.14.0~),
+               libkf6kio-dev (>= 6.14.0~),
+               libkf6svg-dev (>= 6.14.0~),
+               libkf6texteditor-dev (>= 6.14.0~),
+               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkirigami-dev (>= 6.14.0~),
+               libplasma-dev (>= 6.4.4~),
+               libplasma5support-dev (>= 4:6.4.4~),
+               qt6-5compat-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-svg-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0

## plasma-sdk 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-sdk)
-set(PROJECT_VERSION "6.3.4")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
-set(PROJECT_DEP_VERSION "6.3.4")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -33,6 +32,7 @@
 include(ECMDeprecationSettings)
 include(ECMOptionalAddSubdirectory)
 include(ECMQmlModule)
+include(ECMSetupVersion)
 include(FeatureSummary)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui Qml Quick Svg Widgets Xml)
@@ -59,12 +59,17 @@
 )
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
-    Archive Completion Config CoreAddons DBusAddons I18n IconThemes ItemModels
+    Archive Completion Config CoreAddons Crash DBusAddons I18n IconThemes ItemModels
     KIO TextEditor WidgetsAddons DocTools Svg)
 
 find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
 find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
 find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
+
+ecm_setup_version(${PROJECT_VERSION}
+    VARIABLE_PREFIX PLASMA_SDK
+    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/plasma-sdk-version.h
+)
 
 #########################################################################
 add_definitions(
@@ -79,7 +84,7 @@
 )
 
 ecm_set_disabled_deprecation_versions(
-    KF 5.94.0
+    KF 6.10.0
 )
 
 add_subdirectory(iconexplorer)

=== themeexplorer/src/CMakeLists.txt ===


set(plasmathemeexplorer_SRCS
    main.cpp
    thememodel.cpp
    themelistmodel.cpp
    coloreditor.cpp
)

add_executable(plasmathemeexplorer ${plasmathemeexplorer_SRCS})
target_compile_definitions(plasmathemeexplorer PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

#find_package(ActiveApp REQUIRED)

target_link_libraries(plasmathemeexplorer
 Qt::Gui
 Qt::Quick
 Qt::Widgets
 Qt::Xml
 KF6::Archive
 KF6::I18n
 KF6::KIOCore
 KF6::KIOWidgets
 KF6::Package
 Plasma::PlasmaQuick
)

install(TARGETS plasmathemeexplorer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.plasma.themeexplorer.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
plasma-sdk (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:50 +0100

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
                libkf6texteditor-dev (>= 6.14.0~),
                libkf6widgetsaddons-dev (>= 6.14.0~),
                libkirigami-dev (>= 6.14.0~),
-               libplasma-dev (>= 6.4.4~),
-               libplasma5support-dev (>= 4:6.4.4~),
+               libplasma-dev (>= 6.4.5~),
+               libplasma5support-dev (>= 4:6.4.5~),
                qt6-5compat-dev (>= 6.8.0~),
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),

## plasma-sdk 6.4.5+p24.04+vstable+git20251003.1209

=== debian/changelog ===
plasma-sdk (4:6.4.5+p24.04+vstable+git20251003.1209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 12:09:08 +0000

plasma-sdk (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:37:28 +0000

plasma-sdk (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:22:06 +0000

plasma-sdk (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:09:52 +0000

plasma-sdk (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:36:37 +0000

plasma-sdk (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:51:29 +0000

plasma-sdk (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:27:31 +0000

plasma-sdk (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:00:14 +0000

plasma-sdk (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:13:13 +0000

plasma-sdk (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:10:57 +0000

plasma-sdk (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:12:52 +0000

plasma-sdk (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:57:04 +0000

plasma-sdk (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:32:06 +0000

plasma-sdk (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:03:24 +0000

plasma-sdk (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:36:29 +0000

plasma-sdk (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:15:08 +0000

plasma-sdk (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:07:06 +0000

plasma-sdk (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:15:34 +0000

plasma-sdk (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Sep 2024 18:22:05 +0000

plasma-sdk (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:15:09 +0000

plasma-sdk (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:33:00 +0000

plasma-sdk (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:09:01 +0000

plasma-sdk (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:42:17 +0000

plasma-sdk (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:01:57 +0000

plasma-sdk (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:20:27 +0000

plasma-sdk (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:51:41 +0000

plasma-sdk (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:16:36 +0000

plasma-sdk (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:24:01 +0000

plasma-sdk (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:39 +1000

plasma-sdk (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:53:20 +0000

plasma-sdk (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:02:01 +0000

plasma-sdk (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 16:07:07 +0000

plasma-sdk (4:5.27.7.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:22:41 +0000

plasma-sdk (4:5.27.6.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:11:02 +0000

plasma-sdk (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:37:20 +0000

plasma-sdk (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:33:59 +0000

plasma-sdk (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:15:20 +0000

plasma-sdk (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:06:17 +0000

plasma-sdk (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:36:42 +0000

plasma-sdk (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:29:35 +0000

plasma-sdk (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:48:33 +0000

plasma-sdk (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:45:46 +0000

plasma-sdk (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:29:47 +0000

plasma-sdk (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:03:15 +0000

plasma-sdk (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:45:07 +0000

plasma-sdk (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:15:38 +0000



## plasma-sdk 6.4.5+p24.04+vstable+git20251004.0506

=== debian/changelog ===
plasma-sdk (4:6.4.5+p24.04+vstable+git20251004.0506-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:06:09 +0000

## plasma-sdk 6.4.5+p24.04+vstable+git20251012.0015

=== debian/changelog ===
plasma-sdk (4:6.4.5+p24.04+vstable+git20251012.0015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:15:02 +0000

## plasma-sdk 6.4.5+p24.04+vstable+git20251019.0627

=== debian/changelog ===
plasma-sdk (4:6.4.5+p24.04+vstable+git20251019.0627-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:27:24 +0000

## plasma-sdk 6.4.91

=== debian/changelog ===
plasma-sdk (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 21:40:52 +0200

plasma-sdk (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:40 +0200

=== debian/control ===
Source: plasma-sdk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6archive-dev (>= 6.18.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6texteditor-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               libplasma5support-dev (>= 4:6.4.91~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-sdk
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-sdk.git
Rules-Requires-Root: no

Package: plasma-sdk
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-newstuff,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bash (>= 4.3),
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 This package is part of the KDE Plasma.
